Bug 1012528 - Allow 389-ds-base to create subdir of /dev/shm
Allow 389-ds-base to create subdir of /dev/shm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On: 1012526
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 11:14 EDT by Rich Megginson
Modified: 2015-02-18 11:26 EST (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-84.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1012526
Environment:
Last Closed: 2014-06-13 08:41:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2013-09-26 11:14:30 EDT
+++ This bug was initially created as a clone of Bug #1012526 +++

Description of problem:

The 389-ds-base (dirsrv) needs to create and use a subdirectory of /dev/shm e.g. /dev/shm/slapd-hostname

We are able to workaround the problem by creating a policy module like this:

policy_module(dirsrv_tmpfs,1.0.0)
type dirsrv_t;
type tmpfs_t;
allow dirsrv_t tmpfs_t:dir create;

semanage -i dirsrv_tmpfs.pp

but it would be better if this were part of the base OS policy

Version-Release number of selected component (if applicable):
RHEL 6.4/6.5

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2013-09-26 11:18:51 EDT
a92231cf6ea8f30a90440270ee9e1bcdea181169 fixes this in git.
Comment 5 Ludek Smid 2014-06-13 08:41:25 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.